| Home | Libraries | People | FAQ | More

##### basic_signal_set::clear (2 of 2 overloads)

Remove all signals from a signal_set.

    boost::system::error_code clear(
        boost::system::error_code & ec);

This function removes all signals from the set. It has no effect if the set is already empty.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Remarks

Removes all queued notifications.